id: wordpress-autoptimize

info:
  name: Autoptimize Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/autoptimize/
  metadata:
    plugin_namespace: autoptimize
    wpscan: https://wpscan.com/plugin/autoptimize
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/autoptimize/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/autoptimize.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502210099c043f4dd1c849a6e3c3c5ea0c94e11ea9b26b98de36d99862d946daf6e027b02204ff912d396a3a7abebdc44669b0d9a513273add66bd9103e1395d60a0e90380f:922c64590222798bb761d5b6d8e72950